# Interface GeoreferenceJson

The georeference used to place a media in a MediaLayer.

See https://developers.arcgis.com/web-map-specification/objects/mediaLayer_georeference/ https://developers.arcgis.com/web-scene-specification/objects/mediaLayer_georeference/.

interface GeoreferenceJson {
coefficients?: number[];
controlPoints?: {
x: number;
y: number;
}[];
height?: number;
spatialReference?: SpatialReferenceJson;
width?: number;
}

#####
Index

### Properties

coefficients?
controlPoints?
height?
spatialReference?
width?

##
Properties

### `Optional` coefficients

coefficients?: number[]

An array of 8 coefficients representing the projective transformation..

### `Optional` controlPoints

controlPoints?: {
x: number;
y: number;
}[]

An array of 4 user defined control points placed on the media..

### `Optional` height

height?: number

Numeric value indicating the height of media in pixels.

### `Optional` spatialReference

spatialReference?: SpatialReferenceJson

Image format of the cached tiles.

### `Optional` width

width?: number

Numeric value indicating the width of media in pixels.